package com.loit.shardingsphere.seata.controller;


import com.loit.shardingsphere.seata.modules.entity.OrderEntity;
import com.loit.shardingsphere.seata.modules.service.IBusinessService;
import com.loit.shardingsphere.seata.modules.service.IOrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 前端控制器
 */
@RestController
@RequestMapping("/demo")
@Slf4j
public class DemoController {

    @Autowired
    IBusinessService businessService;

    @Autowired
    IOrderService orderService;

    @GetMapping("purchase")
    public void purchase() {
        for (long i = 1; i < 2; i++) {
            businessService.purchase(i);
        }
        log.info("success");
    }

    @GetMapping("findPage")
    public void findPage() {
        List<OrderEntity> pageList = orderService.findPage(0l, 5l);
        log.info(pageList.toString());
    }


}

