/*
Navicat MySQL Data Transfer

Source Server         : 39.98.202.173seata
Source Server Version : 50725
Source Host           : 39.98.202.173:3306
Source Database       : demo_ds

Target Server Type    : MYSQL
Target Server Version : 50725
File Encoding         : 65001

Date: 2020-02-13 22:37:45
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for t_order
-- ----------------------------
DROP TABLE IF EXISTS `t_order`;
CREATE TABLE "t_order" (
  "id" varchar(64) NOT NULL COMMENT '主键',
  "order_id" bigint(20) NOT NULL,
  "user_id" int(11) NOT NULL,
  "status" varchar(50) DEFAULT NULL,
  PRIMARY KEY ("id")
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for t_order_0
-- ----------------------------
DROP TABLE IF EXISTS `t_order_0`;
CREATE TABLE "t_order_0" (
  "id" varchar(64) NOT NULL COMMENT '主键',
  "order_id" bigint(20) NOT NULL,
  "user_id" int(11) NOT NULL,
  "status" varchar(50) DEFAULT NULL,
  PRIMARY KEY ("id")
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for t_order_1
-- ----------------------------
DROP TABLE IF EXISTS `t_order_1`;
CREATE TABLE "t_order_1" (
  "id" varchar(64) NOT NULL COMMENT '主键',
  "order_id" bigint(20) NOT NULL,
  "user_id" int(11) NOT NULL,
  "status" varchar(50) DEFAULT NULL,
  PRIMARY KEY ("id")
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for t_order_item
-- ----------------------------
DROP TABLE IF EXISTS `t_order_item`;
CREATE TABLE "t_order_item" (
  "id" varchar(64) NOT NULL COMMENT '主键',
  "order_item_id" bigint(20) NOT NULL,
  "order_id" bigint(20) NOT NULL,
  "user_id" int(11) NOT NULL,
  "status" varchar(50) DEFAULT NULL,
  PRIMARY KEY ("id")
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for t_order_item_0
-- ----------------------------
DROP TABLE IF EXISTS `t_order_item_0`;
CREATE TABLE "t_order_item_0" (
  "id" varchar(64) NOT NULL COMMENT '主键',
  "order_item_id" bigint(20) NOT NULL,
  "order_id" bigint(20) NOT NULL,
  "user_id" int(11) NOT NULL,
  "status" varchar(50) DEFAULT NULL,
  PRIMARY KEY ("id")
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for t_order_item_1
-- ----------------------------
DROP TABLE IF EXISTS `t_order_item_1`;
CREATE TABLE "t_order_item_1" (
  "id" varchar(64) NOT NULL COMMENT '主键',
  "order_item_id" bigint(20) NOT NULL,
  "order_id" bigint(20) NOT NULL,
  "user_id" int(11) NOT NULL,
  "status" varchar(50) DEFAULT NULL,
  PRIMARY KEY ("id")
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for undo_log
-- ----------------------------
DROP TABLE IF EXISTS `undo_log`;
CREATE TABLE "undo_log" (
  "id" bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'increment id',
  "branch_id" bigint(20) NOT NULL COMMENT 'branch transaction id',
  "xid" varchar(100) NOT NULL COMMENT 'global transaction id',
  "context" varchar(128) NOT NULL COMMENT 'undo_log context,such as serialization',
  "rollback_info" longblob NOT NULL COMMENT 'rollback info',
  "log_status" int(11) NOT NULL COMMENT '0:normal status,1:defense status',
  "log_created" datetime NOT NULL COMMENT 'create datetime',
  "log_modified" datetime NOT NULL COMMENT 'modify datetime',
  PRIMARY KEY ("id"),
  UNIQUE KEY "ux_undo_log" ("xid","branch_id") USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=306 DEFAULT CHARSET=utf8 COMMENT='AT transaction mode undo table';
