package com.loit.shardingsphere.seata;

import com.loit.shardingsphere.seata.modules.service.IBusinessService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
@Slf4j
public class LoitShardingsphereSeataApplicationTests {

    @Autowired
    IBusinessService businessService;

    @Test
    public void contextLoads() {

        try {

            businessService.purchase(222L);
/*            for (long i = 10; i < 20; i++) {
                businessService.purchase(i);
            }*/
        } catch (Exception e) {
            e.printStackTrace();
            log.error(e.getMessage(), e);
            throw new RuntimeException(e.getMessage(), e);
        }

        log.info("success");
    }

}
