package com.loit.shardingsphere.seata.modules.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.loit.shardingsphere.seata.modules.entity.OrderEntity;

import java.util.List;


public interface IOrderService extends IService<OrderEntity> {
    void insertOrder(OrderEntity orderEntity);


    /**
     * 分页查询库存信息
     *
     * @PageNum 当前页
     * @PageSize 每页显示数量
     */
    List<OrderEntity> findPage(Long pageNum, Long pageSize);
}
